Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I installed steam for ubuntu , so I tried to launch it and i get this :

~$ steam
Installing breakpad exception handler for appid(steam)/version(1352224866_client)

~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description:    Ubuntu 12.10
Release:    12.10
Codename:   quantal


~$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Whistler XT [AMD Radeon HD 6700M Series] (rev ff)

What is the problem and how to fix it?

share|improve this question
add comment

4 Answers

up vote 9 down vote accepted

Install ia32-libs:

sudo apt-get install ia32-libs
share|improve this answer
    
thank you it works –  Star Diamond Nov 7 '12 at 0:18
2  
I have the same issue and when I try installing ia32-libs I get the following problem. You might want to run 'apt-get -f install' to correct these: The following packages have unmet dependencies: ia32-libs : Depends: ia32-libs-multiarch libldap-2.4-2 : Breaks: libldap-2.4-2:i386 (!= 2.4.28-1.1ubuntu4.1) but 2.4.28-1.1ubuntu4.2 is to be installed libldap-2.4-2:i386 : Breaks: libldap-2.4-2 (!= 2.4.28-1.1ubuntu4.2) but 2.4.28-1.1ubuntu4.1 is to be installed E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution). –  Zuhaib Nov 8 '12 at 15:00
add comment

Steam needs a lot of 32 bit libraries from your system. If any of these are missing, the Steam executable will crash.

On openSUSE you can check what package provides a specific library with the command zypper wp libpng12.so.0.

On Ubuntu there is no such an easy way, but this site explains the process above quite well.

The full list required for starting Steam:

    libGL.so.1
    libX11.so.6
    libXau.so.6
    libXext.so.6
    libXi.so.6
    libXrandr.so.2
    libXrender.so.1
    libappindicator.so.1
    libasound.so.2
    libc.so.6
    libcairo.so.2
    libdbus-1.so.3
    libdl.so.2
    libfontconfig.so.1
    libfreetype.so.6
    libgcc_s.so.1
    libgdk-x11-2.0.so.0
    libgdk_pixbuf-2.0.so.0
    libglib-2.0.so.0
    libgobject-2.0.so.0
    libgtk-x11-2.0.so.0
    libm.so.6
    libnspr4.so
    libnss3.so
    libnssutil3.so
    libpango-1.0.so.0
    libpangocairo-1.0.so.0
    libpangoft2-1.0.so.0
    libplc4.so
    libpng12.so.0
    libpthread.so.0
    librt.so.1
    libsmime3.so
    libstdc++.so.6
    libsteam.so
    libxcb.so.1
    libz.so.1

If you want to find out quickly what is missing, run the following command:

strace -E LD_LIBRARY_PATH=/home/USERNAME/Steam/ubuntu12_32/ -e trace=open /home/USERNAME/Steam/ubuntu12_32/steam (replace USERNAME twice with your account name on your Linux)

It will give you an output something like this in one of the last lines:

open("/home/user/Steam/ubuntu12_32/libspeex.so.1", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)

If there is no line after which doesn't mention ENOENT, you will have to search which package provides the shared library (libspeex.so.1 in this case) according to the tutorial above.

share|improve this answer
add comment

On Reddit I saw a solution:

apt-get install libpango1.0-0:i386
apt-get -f install
share|improve this answer
    
didnt work for me –  Star Diamond Nov 6 '12 at 23:47
    
Have you tried to install other 32-bit as the post suggested? –  OrangeTux Nov 6 '12 at 23:51
    
yes i have ... sudo apt-get install libpango1.0-0:i386 ; sudo apt-get -f install –  Star Diamond Nov 6 '12 at 23:54
add comment
LANG=C LD_LIBRARY_PATH=${HOME}/Steam/ubuntu12_32 ldd ${HOME}/Steam/ubuntu12_32/* | grep 'not found'

That should give you a list of all the missing libraries; even if you use a language other than English, leave the last part as 'not found'.

The steam executable itself doesn't depend on many, but those it loads at runtime will exit the process cleanly if their dependencies are unsatisfied, giving no output apart from the "exception handler being installed."

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.